diff -u --recursive doxygen-1.7.2/src/htmlgen.h doxygen-1.7.2-patched/src/htmlgen.h
--- doxygen-1.7.2/src/htmlgen.h	2010-06-23 13:42:34.000000000 +0200
+++ doxygen-1.7.2-patched/src/htmlgen.h	2011-01-03 00:38:26.000000000 +0100
@@ -218,8 +218,8 @@
     void endDirDepGraph(const DotDirDeps &g);
     void writeGraphicalHierarchy(const DotGfxHierarchyTable &g);
 
-    void startTextBlock(bool) {}
-    void endTextBlock(bool) {}
+    void startTextBlock(bool) { t << "<p>"; }
+    void endTextBlock(bool) { t << "</p>"; }
     void lastIndexPage() {}
 
     void startMemberDocPrefixItem();
diff -u --recursive doxygen-1.7.2/src/index.cpp doxygen-1.7.2-patched/src/index.cpp
--- doxygen-1.7.2/src/index.cpp	2010-10-03 15:05:55.000000000 +0200
+++ doxygen-1.7.2-patched/src/index.cpp	2011-01-03 00:53:33.000000000 +0100
@@ -1972,6 +1972,7 @@
 
       ol.endQuickIndices();
       ol.startContents();
+      ol.startTextBlock();
 
       if (hl==CMHL_All)
       {
@@ -1986,6 +1987,7 @@
         ol.writeString("&#160;");
       }
       //ol.newParagraph();  // FIXME:PARA
+      ol.endTextBlock();
       writeMemberList(ol,quickIndex,
                       multiPageIndex?page:-1,
                       g_memberIndexLetterUsed[hl],
@@ -2105,6 +2107,7 @@
 
       ol.endQuickIndices();
       ol.startContents();
+      ol.startTextBlock();
 
       if (hl==FMHL_All)
       {
@@ -2117,6 +2120,7 @@
         ol.writeString("&#160;");
       }
       //ol.newParagraph();  // FIXME:PARA
+      ol.endTextBlock();
       //writeFileMemberList(ol,quickIndex,hl,page);
       writeMemberList(ol,quickIndex,
                       multiPageIndex?page:-1,


